Bug 124027 - LO Impress: Unnecessary grey rectangle on the screen while demonstration (slide with video)
Summary: LO Impress: Unnecessary grey rectangle on the screen while demonstration (sli...
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
6.2.0.1 rc
Hardware: All Linux (All)
: medium normal
Assignee: Katarina Behrens (CIB)
URL:
Whiteboard: target:6.3.0 target:6.2.5
Keywords: bibisectRequest, regression
Depends on:
Blocks: KDE
  Show dependency treegraph
 
Reported: 2019-03-12 14:53 UTC by Vera Blagoveschenskaya
Modified: 2019-05-23 17:07 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
scr1 - LO 6.2 (1.49 MB, image/jpeg)
2019-03-12 14:53 UTC, Vera Blagoveschenskaya
Details
scr2 - LO 6.3 (1.30 MB, image/jpeg)
2019-03-12 14:54 UTC, Vera Blagoveschenskaya
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Vera Blagoveschenskaya 2019-03-12 14:53:18 UTC
Description:
Unnecessary grey rectangle on the screen while demonstration

Steps to Reproduce:
1. Start demonstration of the presentation from https://bugs.documentfoundation.org/show_bug.cgi?id=120870#c0

Actual Results:
Unnecessary grey rectangle on the screen while demonstration

Expected Results:
No grey rectangle


Reproducible: Always


User Profile Reset: No



Additional Info:
Versions in tests:

Version: 6.2.2.0.0+
Build ID: b17bffe4eb15e4cec969aa2699ce8be60e01b1c1
CPU threads: 4; OS: Linux 4.19; UI render: default; VCL: kde5; 
TinderBox: Linux-rpm_deb-x86_64@86-TDF, Branch:libreoffice-6-2, Time: 2019-02-25_17:41:32
Locale: ru-RU (ru_RU.UTF-8); UI-Language: en-US
Calc: threaded

Version: 6.3.0.0.alpha0+
Build ID: f23738139429358c11fa62708fbdf5bb0c43d199
CPU threads: 4; OS: Linux 4.19; UI render: default; VCL: kde5; 
TinderBox: Linux-rpm_deb-x86_64@86-TDF, Branch:master, Time: 2019-02-28_20:14:57
Locale: ru-RU (ru_RU.UTF-8); UI-Language: en-US
Calc: threaded

NOT reproduced if to start LO with GTK3
Comment 1 Vera Blagoveschenskaya 2019-03-12 14:53:57 UTC
Created attachment 149917 [details]
scr1 - LO 6.2
Comment 2 Vera Blagoveschenskaya 2019-03-12 14:54:18 UTC
Created attachment 149918 [details]
scr2 - LO 6.3
Comment 3 Michael Weghorn 2019-03-13 08:58:40 UTC
Reproduce with

Version: 6.3.0.0.alpha0+
Build ID: 73e32aff2a3b8325daf36060140878fe34c46956
CPU threads: 4; OS: Linux 4.19; UI render: default; VCL: kde5; 
Locale: en-GB (en_GB.UTF-8); UI-Language: en-US
Calc: threaded

I'm not sure whether that was always there; this might be a regression.
Comment 4 Xisco Faulí 2019-03-14 09:33:59 UTC
Reproduced in

Version: 6.2.0.1
CPU threads: 2; OS: Linux 4.15; UI render: default; VCL: kde5; 
Locale: en-US (en_US.UTF-8); UI-Language: en-US
Calc: threaded

but not in

Version: 6.2.0.0.beta1
Build ID: d1b41307be3f8c19fe6f1938cf056e7ff1eb1d18
CPU threads: 2; OS: Linux 4.15; UI render: default; VCL: kde5; 
Locale: en-US (en_US.UTF-8); UI-Language: en-US
Calc: threaded
Comment 5 Katarina Behrens (CIB) 2019-05-17 10:12:03 UTC
https://cgit.freedesktop.org/libreoffice/core/commit/?id=18138417485aeba6c52d935c616dba829b24ffd8 is responsible at least for part of the badness here (video overlay misplaced within the embedded window)
Comment 6 Katarina Behrens (CIB) 2019-05-17 10:35:03 UTC
The other part was Aleksei's implementation of OpenGL support in bug 121247, which changed the implementation of embedded window, but didn't adjust the system data accordingly.

With https://gerrit.libreoffice.org/#/c/72453 video overlay is now correctly placed within the embedded window. The embedded window itself is still misplaced within presenter console but correctly placed on the main slideshow screen (the one that the audience is going to see) so presumably less embarrassing :)

It is however a generic code problem, bc X11 vclplug (SAL_USE_VCLPLUGIN=gen) suffers from it too
Comment 7 Commit Notification 2019-05-21 09:33:44 UTC
Katarina Behrens committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/bbe1ede0fada499fd49b60bdc7964e311b331454%5E%21

tdf#124027: use ID of the embedded window and fix position of overlay

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Katarina Behrens (CIB) 2019-05-21 12:55:47 UTC
The bug as reported is fixed in X11. For the same/worse situation in Wayland, there is bug 125219. 

Then there's also the issue of video misplaced in presenter console but that is a separate bug somewhere in generic code bc all vclplugs except for gtk3 (gtk2, gen and now kde5) are affected by it. I just don't have a dual screen right now to take a screenshot
Comment 9 Xisco Faulí 2019-05-22 12:16:04 UTC
Verified in

Version: 6.3.0.0.alpha1+
Build ID: c04169c586ef1d55b1d0ac469bb4fbd4f50bd08a
CPU threads: 2; OS: Linux 4.15; UI render: default; VCL: kde5; 
TinderBox: Linux-rpm_deb-x86_64@86-TDF, Branch:master, Time: 2019-05-21_22:59:34
Locale: en-US (en_US.UTF-8); UI-Language: en-US
Calc: threaded

@Bubli, thanks for fixing this issue!!
Comment 10 Commit Notification 2019-05-23 17:07:55 UTC
Katarina Behrens committed a patch related to this issue.
It has been pushed to "libreoffice-6-2":

https://git.libreoffice.org/core/+/01b885420a227c2610f00cd5569212a507f48d27%5E%21

tdf#124027: use ID of the embedded window

It will be available in 6.2.5.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.